/*
 * RankedTreeWrapper.h
 *
 *  Created on: Nov 16, 2014
 *      Author: Stepan Plachy
 */

#ifndef RANKED_TREE_WRAPPER_H_
#define RANKED_TREE_WRAPPER_H_

#include "../object/WrapperBase.h"
#include "RankedTreeBase.h"
#include "../common/wrapper.hpp"

namespace tree {

/**
 * Wrapper around tree.
 */
class RankedTreeWrapper : public alib::wrapper < RankedTreeBase >, public alib::WrapperBase {
	using alib::wrapper < RankedTreeBase >::wrapper;

public:
	const std::set < alphabet::RankedSymbol > & getAlphabet ( ) const;
	void extendAlphabet ( const std::set < alphabet::RankedSymbol > & symbols );

	const static std::string XML_TAG_NAME_REF;
};

} /* namespace tree */

#endif /* RANKED_TREE_WRAPPER_H- */
