/*
 * UnrankedTreeWrapper.h
 *
 *  Created on: Nov 16, 2014
 *      Author: Jan Travnicek
 */

#ifndef UNRANKED_TREE_WRAPPER_H_
#define UNRANKED_TREE_WRAPPER_H_

#include "../object/WrapperBase.h"
#include "UnrankedTreeBase.h"
#include "../common/wrapper.hpp"

namespace tree {

/**
 * Wrapper around tree.
 */
class UnrankedTreeWrapper : public alib::wrapper < UnrankedTreeBase >, public alib::WrapperBase {
	using alib::wrapper < UnrankedTreeBase >::wrapper;

public:
	const std::set < alphabet::Symbol > & getAlphabet ( ) const;
	void extendAlphabet ( const std::set < alphabet::Symbol > & symbols );

	const static std::string XML_TAG_NAME_REF;
};

} /* namespace tree */

#endif /* UNRANKED_TREE_WRAPPER_H_ */
