/*
 * AbsorbTerminalSymbol.h
 *
 *  Created on: 9. 6. 2015
 *	  Author: Jan Travnicek
 */

#ifndef ABSORB_TERMINAL_SYMBOL_H_
#define ABSORB_TERMINAL_SYMBOL_H_

#include <grammar/GrammarFeatures.h>
#include <alphabet/Symbol.h>
#include <set>
#include <map>

namespace grammar {

namespace parsing {

class AbsorbTerminalSymbol {
public:
	static void handleAbsobtion ( const grammar::CFG & orig, grammar::CFG & res, const alphabet::Symbol & terminal, const std::set < alphabet::Symbol > & nonterminals, const std::map < alphabet::Symbol, alphabet::Symbol > & nonterminalPrimed );

	static void absorbTerminalSymbol ( grammar::CFG & grammar, const alphabet::Symbol & terminal, const std::set < alphabet::Symbol > & nonterminals );
};

} /* namespace parsing */

} /* namespace grammar */

#endif /* ABSORB_TERMINAL_SYMBOL_H_ */
