/*
 * Tree.h
 *
 *  Created on: Nov 16, 2014
 *      Author: Stepan Plachy
 */

#ifndef TREE_H_
#define TREE_H_

#include "../object/WrapperBase.h"
#include "TreeBase.h"
#include "../common/wrapper.hpp"

namespace tree {

/**
 * Wrapper around tree.
 */
class Tree : public alib::wrapper < TreeBase >, public alib::WrapperBase {
	using alib::wrapper < TreeBase >::wrapper;

public:
	const static std::string XML_TAG_NAME_REF;
};

} /* namespace tree */

#endif /* TREE_H_ */
