/*
 * AutomataStat.h
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#ifndef SET_STAT_H_
#define SET_STAT_H_

#include <algorithm>
#include <deque>
#include <set>

#include "container/ObjectsSet.h"
#include "label/LabelSetLabel.h"
#include "alphabet/SymbolSetSymbol.h"
#include "SetSettings.h"

class SetStat {
public:
	static void stat ( const container::ObjectsSet & set, const SetSettings & settings );
	static void stat ( const label::LabelSetLabel & set, const SetSettings & settings );
	static void stat ( const alphabet::SymbolSetSymbol & set, const SetSettings & settings );
};

#endif /* SET_STAT_H_ */
